libpqxx: pqxx::connect_async Class Reference

libpqxx 4.0.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
pqxx::connect_async Class Reference
Connection classes

Asynchronous connection policy; connects "in the background". More...

`#include <connection.hxx>`

Inheritance diagram for pqxx::connect_async:

## Public Member Functions
| connect_async (const std::string &opts)
virtual handle | do_startconnect (handle)
virtual handle | do_completeconnect (handle)
virtual handle | do_dropconnect (handle) throw ()
virtual bool | is_ready (handle) const throw ()
Public Member Functions inherited from pqxx::connectionpolicy
| connectionpolicy (const std::string &opts)
virtual | ~connectionpolicy () throw ()
const std::string & | options () const throw ()
virtual handle | do_disconnect (handle orig) throw ()

## Additional Inherited Members
Public Types inherited from pqxx::connectionpolicy
typedef internal::pq::PGconn * | handle
Protected Member Functions inherited from pqxx::connectionpolicy
handle | normalconnect (handle)

## Detailed Description

Asynchronous connection policy; connects "in the background".

Connection is initiated immediately, but completion is deferred until the connection is actually needed.

This may help performance by allowing the client to do useful work while waiting for an answer from the server.

## Constructor & Destructor Documentation

pqxx::connect_async::connect_async | ( | const std::string & | opts | ) |
| explicit

## Member Function Documentation

pqxx::connectionpolicy::handle pqxx::connect_async::do_completeconnect | ( | handle | orig | ) |
| virtual

Reimplemented from pqxx::connectionpolicy.

References pqxx::internal::wait_read(), and pqxx::internal::wait_write().

pqxx::connectionpolicy::handle pqxx::connect_async::do_dropconnect | ( | handle | orig | ) | throw ()
| virtual

Reimplemented from pqxx::connectionpolicy.

pqxx::connectionpolicy::handle pqxx::connect_async::do_startconnect | ( | handle | orig | ) |
| virtual

Reimplemented from pqxx::connectionpolicy.

bool pqxx::connect_async::is_ready | ( | handle | h | ) | const throw ()
| virtual

Reimplemented from pqxx::connectionpolicy.

The documentation for this class was generated from the following files:

- connection.hxx
- connection.cxx